## com.thingmagic
Enum Gen2.Target

    java.lang.Object
      java.lang.Enum<Gen2.Target>
          com.thingmagic.Gen2.Target

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Target>

Enclosing class:
  Gen2

    public static enum Gen2.Target

extends java.lang.Enum<Gen2.Target>

Target algorithm options

Enum Constant Summary
`A` Search target A
`AB` Search target A until exhausted, then search target B
`B` Search target B
`BA` Search target B until exhausted, then search target A

Method Summary
`static Gen2.Target` `get(int rep)`
`int` `getCode()`
`static Gen2.Target` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Target[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AB

    public static final Gen2.Target AB

  Search target A until exhausted, then search target B

### BA

    public static final Gen2.Target BA

  Search target B until exhausted, then search target A

### A

    public static final Gen2.Target A

  Search target A

### B

    public static final Gen2.Target B

  Search target B

Method Detail

### values

    public static Gen2.Target[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Target c : Gen2.Target.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Target valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static Gen2.Target get(int rep)